from django.contrib import admin
from .models import EmployeeField, BadgeField, History, License


class ReadOnlyAdmin(admin.ModelAdmin):
    readonly_fields = []

    def get_readonly_fields(self, request, obj=None):
        return list(self.readonly_fields) + \
            [field.name for field in obj._meta.fields] + \
            [field.name for field in obj._meta.many_to_many]

    def has_add_permission(self, request):
        return False

    def has_delete_permission(self, request, obj=None):
        return False


admin.site.site_title = "AIGSG Connector"
admin.site.site_header = "AIGSG Connector Administration"


admin.site.register(EmployeeField)
admin.site.register(BadgeField)
admin.site.register(History, ReadOnlyAdmin)
admin.site.register(License)
